import { jsx } from "react/jsx-runtime";
import { TokenRAY as TokenRAY$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenRAY = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "RAY", "data-name": "TokenRAY", ...props, children: /* @__PURE__ */ jsx(TokenRAY$1, { variant }) });
  }
);
TokenRAY.displayName = "TokenRAY";
Object.assign(TokenRAY, { isGdsIcon: true });
export {
  TokenRAY
};
